summaryrefslogtreecommitdiff
path: root/dev-python/dill
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/dill')
-rw-r--r--dev-python/dill/Manifest1
-rw-r--r--dev-python/dill/dill-0.4.1.ebuild23
2 files changed, 24 insertions, 0 deletions
diff --git a/dev-python/dill/Manifest b/dev-python/dill/Manifest
index 259c5f4cd80e..c2fa88876f55 100644
--- a/dev-python/dill/Manifest
+++ b/dev-python/dill/Manifest
@@ -1 +1,2 @@
DIST dill-0.4.0.tar.gz 186976 BLAKE2B fefaaa23b98df7548089907224ec405efa75570df51fb08940d14193a7710355ab473b335642d153920a42fe648e218db30b846c826964accd1c1ba79b2cc708 SHA512 1289780e9326959a4d2488e5097b889f27212fba23d35d5c0db00337b952cde20786ecdbefa03a8b276f0cec8dba5b8ea118245e39e4fe8fd3209b5c920829e7
+DIST dill-0.4.1.tar.gz 187315 BLAKE2B b0ce4a9c783e4461700f53b57d746fea8a4cef27403ef075d0fed4e7cfabb80453d3805586b8db868a9b5294e21c984ae26f0ec13edab20fcee2be0f9d6b9eed SHA512 af74f28e2cbf1cebae03f3b3f08ebff8ab90d5a2caba46529736c0f522806284da9a2967f1facb44eb7817c4213a88196d98d77883873dae8f7d7abb71dc9b2b
diff --git a/dev-python/dill/dill-0.4.1.ebuild b/dev-python/dill/dill-0.4.1.ebuild
new file mode 100644
index 000000000000..e9de830ca9de
--- /dev/null
+++ b/dev-python/dill/dill-0.4.1.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} pypy3_11 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Serialize all of Python (almost)"
+HOMEPAGE="
+ https://github.com/uqfoundation/dill/
+ https://pypi.org/project/dill/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+python_test() {
+ "${EPYTHON}" -m dill.tests || die
+}